/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: IMAGING_DATA.h,v 1.8 2002/09/04 08:27:35 jdejong Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

/*----------------------------------------------------------------------- */
/* Definition of IMAGING_DATA table                                           */
/* This file was generated by mididefs.pl from  ../doc/mididoc.tex        */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */
    
/* table type */
char* extname="IMAGING_DATA";
 
/* Define the keywords to be used */
int nkey = 6;       /* number of keywords */
char* keywords[] = { /* Table keywords */
  "REVISION",
  "NREGION",
  "MAXTEL",
  "DATE-OBS",
  "MAXSTEP",
  "MAXINS" 
};
int keytype[] = {   /* data types of the keywords */
         TINT,
         TINT,
         TINT,
         TSTRING,
         TINT,
         TINT
};
char* keycom[] = {   /* Description of the keywords */
         "Revision number of the table definition, no",
         "The  number of regions used.",
         "The maximum number of telescopes contributing photons to the interferometer",
         "Start date of observations 'yyyy-mm-dd(Thh:mm:ss)'",
         "The maximum number of steps (STEPPING_PHASE) in an observational cycle",
         "Maximum number of entries in the INS_TRAIN table"
};
/* Define the  columns in the table */
int ncol = 14;       /* number of columns */
char* coltype[] = { /*  Column labels */
         "FRAME",           
         "TIME",
         "EXPTIME",
         "OPT_TRAIN",
         "REFERENCE",
         "OPD",
         "LOCALOPD",
         "OFFSET",
         "ROTATION",
         "STEPPING_PHASE",
         "DATAn",
         "TARGETn",
         "TARTYPn",
         "INS_TRAIN"         
};
int coldatatype[] = {   /* data types of the keywords */
         TLONG,         /*   "FRAME",          */
         TDOUBLE,       /*   "TIME",           */
         TFLOAT,        /*   "EXPTIME",        */
         TSHORT,        /*   "OPT_TRAIN",      */
         TSHORT,        /*   "REFERENCE",      */
         TDOUBLE,       /*   "OPD",            */
         TDOUBLE,       /*   "LOCALOPD",       */
         TFLOAT,        /*   "OFFSET",         */
         TFLOAT,        /*   "ROTATION",       */
         TSHORT,        /*   "STEPPING_PHASE", */
         TSHORT,        /*   "DATAn",          */
         TSHORT,        /*   "TARGETn",        */
         TSTRING,       /*   "TARTYPn",        */
         TSHORT         /*   "INS_TRAIN"       */
};
       
char* colunits[] = {   /*  Units for columns */
         "",            /*   "FRAME",          */
         "DAY",         /*   "TIME",           */
         "SECOND",      /*   "EXPTIME",        */
         "",            /*   "OPT_TRAIN",      */
         "",            /*   "REFERENCE",      */
         "METER",       /*   "OPD",            */
         "METER",       /*   "LOCALOPD",       */
         "DEGREE",      /*   "OFFSET",         */
         "DEGREE",      /*   "ROTATION",       */
         "",            /*   "STEPPING_PHASE", */
         "ADU",         /*   "DATAn",          */
         "",            /*   "TARGETn",        */
         "",            /*   "TARTYPn",        */
         ""             /*   "INS_TRAIN"       */
};

long colcount[] = {   /*  Number of elements (as 1D) in the columns */
         1,         /*   "FRAME",          */
         1,         /*   "TIME",           */
         1,         /*   "EXPTIME",        */
         1,         /*   "OPT_TRAIN",      */
         1,         /*   "REFERENCE",      */
         2,         /*   "OPD",            */
         2,         /*   "LOCALOPD",       */
         2,         /*   "OFFSET",         */
         1,         /*   "ROTATION",       */
         1,         /*   "STEPPING_PHASE", */
         1,         /*   "DATAn",          */
         1,         /*   "TARGETn",        */
         2,         /*   "TARTYPn",        */
         2          /*   "INS_TRAIN"       */
};

char* coldim[] = {   /*  Dimensionality if 2D or higher */
         " ",            /*   "FRAME",          */
         " ",            /*   "TIME",           */
         " ",            /*   "EXPTIME",        */
         " ",            /*   "OPT_TRAIN",      */
         " ",            /*   "REFERENCE",      */
         " ",            /*   "OPD",            */
         " ",            /*   "LOCALOPD",       */
         " ",            /*   "OFFSET",         */
         " ",            /*   "ROTATION",       */
         " ",            /*   "STEPPING_PHASE", */
         "(*,*)",        /*   "DATAn",          */
         " ",            /*   "TARGETn",        */
         " ",            /*   "TARTYPn",        */
         " "             /*   "INS_TRAIN"       */
};
/* */
